POST
Sign an SSH certificate

Authorizations

X-API-Key
string
header
required

An Anona Compute API key (e2b_ followed by lowercase hex).

Path Parameters

sandboxID
string
required

Body

application/json
publicKey
string
required

OpenSSH public key (ssh-ed25519, ecdsa-sha2-nistp256 or ssh-rsa).

Example:

"ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIA... you@laptop"

Response

The signed certificate and how to connect.

certificate
string
required

OpenSSH certificate (ssh-ed25519-cert-v01@openssh.com ...); save it as <key>-cert.pub.

user
string
required
Example:

"user"

host
string
required

The sandbox ID, used as the SSH host name.

proxyCommand
string
required
Example:

"anona-compute ssh --proxy sbx_123"

expiresAt
string<date-time>
required